Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Unable to update Suse 11

  1. #1

    Default Unable to update Suse 11

    Hello all,

    I'm running into a problem with updates. I have a yellow triangle where the update button should be and I get the following message when I press it:

    Problem loading data from '/11.1/repo/oss' Error reading solv-file: /var/cache/zypp/solv/_11.1_repo_oss/solv Try 'zypper refresh', or even 'zypper clean -m' before doing so.

    There are many more lines similar to this one in the message, apparently for each for each repository.
    I followed the instructions given here to the best of my ability. I opened a "run command" window, switched user to root, and checked "run in a terminal window". Then I ran "zypper refresh" first and "zypper clean-m" second. They had no noticeable effect. On my last successful update there was a message that popped up about updating Yast and some instructions but I didn't get a chance to read them. I get a different error when I log into the Yast control centre and click on "online update": "error while creating client module online update". Any help would be appreciated. Thanks in advance.

    Ingvar

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Unable to update Suse 11

    We can assume you have an active internet connection??

    Use zypper in a terminal again
    but first do this

    rpmdb --rebuilddb

    now

    zypper ref

    zypper up

    What does it do?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Unable to update Suse 11

    Hello Caf4296

    Thanks for the reply. Yes I am connected to the Internet. I think it may be useful for you to assume I know almost nothing, because that is close to true, especially when it comes to Linux. I did what you instructed. It seems to do nothing.I opened a terminal program window (Konsole) from the start button, then switched user (su root) and typed my password. Then I cut and pasted the first command you gave in your reply. It did nothing. But I tried the other two and still nothing happened. ,,,,,



    Well, I need to change that. Something is happening now. It just refreshed my repositories it seems. I'm getting the message in the terminal window. I also ran the commands by right clicking on the desktop and using the "run command" option. I have always assumed that was basically the same as running Konsole. Not sure if that is true though. Right now the Konsole window is displaying a Java license window. It may be downloading something also. I'm not sure. Actually, it is downloading stuff.I just figured out how to get past the license. I'll just post this for now. Thanks again for your reply.

    Ingvar

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Unable to update Suse 11

    Let us know how you get on

    FYI

    zypper up (= update)

    Zypper/Usage/11.1 - openSUSE
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Unable to update Suse 11

    Thank you again.It seems to be a very big update. Could I be updating to 11.1? It's not what I planned for the night but I can do it.I had started this evening with 11.0 and didn't feel any need to update it particularly. But it's not a disaster or anything. I had planned to back things up before I upgraded, that's all. I dual boot so most of my important stuff is also on my windows partition.

    Ingvar

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Unable to update Suse 11

    Don't try and stop it now.

    The update? well that will depend on your enabled repo's.

    we have to assume you know what you are doing here.

    If this is a fresh install of 11.0
    Then expect a BIG update.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Unable to update Suse 11

    Ok,,,,. I don't think you can assume that I know what I'm doing. I had a few repositories added in for 11.1, but not all the necessary ones from what I understood. I was hoping at one point for it to upgrade automatically but when it didn't work I gave up. I just assumed Suse wouldn't do anything as big as upgrading to 11.1 without telling me clearly and distinctly that it was doing specifically that.

    Well, never mind. I've hit a snag. Here's the error message:

    Abort, retry, ignore? [A/r/i]: r
    Installing: libavfilter0-0.4.9.16144-1.1 [error]
    Installation of libavfilter0-0.4.9.16144-1.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: open of /var/cache/zypp/packages/VideoLan failed: No such file or directory
    error: open of Repository/i586/libavfilter0-0.4.9.16144-1.1.i586.rpm failed: No such file or directory


    Abort, retry, ignore? [A/r/i]:


    I've done retry once twice to no effect, but it's Videolan. I don't think there is anything crucial on that repository. So I think ignore would be safe for now. What should I do? It looks like something I can probably get later.

    Ingvar

    Edit: I hit ignore, and things are proceeding. We'll see what happens.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Unable to update Suse 11

    OK. This does not sound so good now. Yes, skip.

    But having 11.1 repos and 11.0 together !

    It is possible to update but not like this.

    Let it run and see. Are you running in X? You know - a desktop GUI?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Unable to update Suse 11

    Yes, I'm running KDE, if I understand your question. My computer is running well. I'm surfing the net, reading, and checking on the progress of things as we speak. I'm posting this on the computer that is "updating". I have a good fast Internet connection sometimes 600 or more k per second. So whatever is happening is happening.

    Ingvar

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Unable to update Suse 11

    Fine leave it to run
    Don't reboot

    When it finishes - see if you can open Yast - Software Repositories

    you need to end up with either all 11.0 or 11.1 - Not a mix.

    If you decide to go for 11.1 (fine)
    Put in the equivalent of the 11.0 ones you have

    When done you need to press
    Ctrl-Alt-F1
    login as root at the CLI

    then type:
    init 3
    (hit the enter key once then again)

    You are logged in as root to level3 so now do

    zypper ref

    then

    zypper dup

    when done reboot
    and hope
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •